Install Component

POST
/api/v1/component-registry/installs

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

componentId*string
consent?|null
projectId?string|null
versionRange?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/component-registry/installs" \  -H "Content-Type: application/json" \  -d '{    "componentId": "string"  }'
{  "componentId": "string",  "consentedCapabilities": [    "string"  ],  "createdAt": "string",  "installId": "string",  "installedBy": "string",  "updatedAt": "string",  "version": {    "bundleHash": "string",    "byteSize": 0,    "capabilities": [      "string"    ],    "componentId": "string",    "contentHash": "string",    "createdBy": "string",    "definition": null,    "hasAgentGuide": true,    "hasIcon": true,    "hasPanel": true,    "hasReadme": true,    "manifest": null,    "number": 0,    "publishedAt": "string",    "status": "ready",    "statusMessage": "string",    "thumbnailStates": [      "string"    ],    "version": "string",    "versionId": "string",    "warnings": [      "conformance-not-run"    ],    "conformance": {      "hasPassed": true,      "checks": [        {          "name": "string",          "status": "pass",          "errors": [            "string"          ],          "warnings": [            "string"          ]        }      ]    }  },  "versionRange": "string"}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/ComponentNotFoundError",  "message": "string"}
{  "_tag": "Api/ComponentConsentRequiredError",  "message": "string",  "version": "string",  "addedCapabilities": [    "string"  ],  "changes": [    {      "kind": "string",      "name": "string"    }  ]}
{  "_tag": "Api/ComponentInvalidError",  "message": "string",  "problems": [    "string"  ]}
{  "_tag": "Api/ComponentServiceError",  "message": "string"}